curl 'https://api.sandbox.uqpay.org/api/v1/cards/transactions?page_num=1&page_size=10' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": {
"total_item": 1,
"total_page": 1,
"item_list": [
{
"card_id": "8a01cace-188e-4f44-9329-f6de3dbd74ed",
"direct_id": "0",
"account_id": "6f790194-f9cd-4b7d-810e-092460804988",
"card_holder_id": "65dd6638-5c23-4d9c-9672-1e7fd0fb0c14",
"transaction_id": "65dd6638-5c23-4d9c-9672-1e7fd0fb0c11",
"transaction_type": 1000,
"card_number": "9333019900054676",
"card_available_balance": "1.00",
"authorization_code": "1111",
"local_amount": "1.00",
"local_currency": "USD",
"transaction_amount": "1.00",
"transaction_currency": "USD",
"balance_transaction_id": "",
"merchant_id": "123456",
"merchant_name": "",
"merchant_country": "",
"merchant_city": "",
"merchant_category_code": "",
"transaction_fee": "0.00",
"transaction_fee_currency": "USD",
"channel_code": "0000",
"channel_resp_code": "",
"channel_resp_body": "",
"channel_transaction_id": "12",
"transaction_time": "2023-10-12T14:57:13+08:00",
"short_account_id": "asdf",
"short_reference_id": "fed",
"create_time": "2023-10-12T14:57:41+08:00",
"failure_reason": "",
"transaction_status": 1111
}
]
}
}
Transactions
List all card transactions
This endpoint get list of card transactions.
GET
/
api
/
v1
/
cards
/
transactions
curl 'https://api.sandbox.uqpay.org/api/v1/cards/transactions?page_num=1&page_size=10' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": {
"total_item": 1,
"total_page": 1,
"item_list": [
{
"card_id": "8a01cace-188e-4f44-9329-f6de3dbd74ed",
"direct_id": "0",
"account_id": "6f790194-f9cd-4b7d-810e-092460804988",
"card_holder_id": "65dd6638-5c23-4d9c-9672-1e7fd0fb0c14",
"transaction_id": "65dd6638-5c23-4d9c-9672-1e7fd0fb0c11",
"transaction_type": 1000,
"card_number": "9333019900054676",
"card_available_balance": "1.00",
"authorization_code": "1111",
"local_amount": "1.00",
"local_currency": "USD",
"transaction_amount": "1.00",
"transaction_currency": "USD",
"balance_transaction_id": "",
"merchant_id": "123456",
"merchant_name": "",
"merchant_country": "",
"merchant_city": "",
"merchant_category_code": "",
"transaction_fee": "0.00",
"transaction_fee_currency": "USD",
"channel_code": "0000",
"channel_resp_code": "",
"channel_resp_body": "",
"channel_transaction_id": "12",
"transaction_time": "2023-10-12T14:57:13+08:00",
"short_account_id": "asdf",
"short_reference_id": "fed",
"create_time": "2023-10-12T14:57:41+08:00",
"failure_reason": "",
"transaction_status": 1111
}
]
}
}
Header
x-client-id.Bearer
YOUR_TOKEN_HERE.Parameters
Page number, starts from 1.
Number of results per page.
Maximum 50Card number.
The starting value for specifying a date range for results to be returned.
Note:
Format: yyyy-MM-dd HH:mm:ssNote:
Both the start_date and end_date must exist for this to take effectThe ending value for specifying a date range for results to be returned.
Note:
Format: yyyy-MM-dd HH:mm:ssNote:
Both the start_date and end_date must exist for this to take effectResponse
Indicates whether the call was successful. 200 if successful, 400 if not.
Response Message. “Success” if successful, others not.
Hide details
Hide details
Total items.
Total pages.
Hide details
Hide details
Unique Identifier for card.
Direct Account id this transaction is associated with.
The id of the account for the card.
The id of the cardholder for the card.
Unique Identifier for transaction.
Type of transaction.
One of
One of
AUTHORIZATION, CLEARING, REFUND, REVERSAL, ORIGINAL_CREDITCard number.
The available balance of the card this transaction is associated with.
Authorization code.
Local amount.
Local currency.
Amount of transaction.
Currency of transaction.
The id of the
finance_transactions this transaction is associated with.Merchant id.
Merchant name.
Merchant country.
Merchant city.
Merchant category code.
Transaction fee.
Transaction fee currency.
Channel code within the system this transaction is associated with.
Channel response code this transaction is associated with.
Channel response body this transaction is associated with.
Unique Identifier for channel transaction.
Transaction time.
The short id of the account for the card.
Short Unique Identifier for transaction.
Create time of transaction.
Reason for transaction failure.
Transaction status.
curl 'https://api.sandbox.uqpay.org/api/v1/cards/transactions?page_num=1&page_size=10' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": {
"total_item": 1,
"total_page": 1,
"item_list": [
{
"card_id": "8a01cace-188e-4f44-9329-f6de3dbd74ed",
"direct_id": "0",
"account_id": "6f790194-f9cd-4b7d-810e-092460804988",
"card_holder_id": "65dd6638-5c23-4d9c-9672-1e7fd0fb0c14",
"transaction_id": "65dd6638-5c23-4d9c-9672-1e7fd0fb0c11",
"transaction_type": 1000,
"card_number": "9333019900054676",
"card_available_balance": "1.00",
"authorization_code": "1111",
"local_amount": "1.00",
"local_currency": "USD",
"transaction_amount": "1.00",
"transaction_currency": "USD",
"balance_transaction_id": "",
"merchant_id": "123456",
"merchant_name": "",
"merchant_country": "",
"merchant_city": "",
"merchant_category_code": "",
"transaction_fee": "0.00",
"transaction_fee_currency": "USD",
"channel_code": "0000",
"channel_resp_code": "",
"channel_resp_body": "",
"channel_transaction_id": "12",
"transaction_time": "2023-10-12T14:57:13+08:00",
"short_account_id": "asdf",
"short_reference_id": "fed",
"create_time": "2023-10-12T14:57:41+08:00",
"failure_reason": "",
"transaction_status": 1111
}
]
}
}
⌘I